continuum-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From eveni...@apache.org
Subject svn commit: r230424 - /maven/continuum/trunk/ci_continuum.sh
Date Fri, 05 Aug 2005 09:59:54 GMT
Author: evenisse
Date: Fri Aug  5 02:59:47 2005
New Revision: 230424

URL: http://svn.apache.org/viewcvs?rev=230424&view=rev
Log:
Create continuum distribution for public consumption

Modified:
    maven/continuum/trunk/ci_continuum.sh

Modified: maven/continuum/trunk/ci_continuum.sh
URL: http://svn.apache.org/viewcvs/maven/continuum/trunk/ci_continuum.sh?rev=230424&r1=230423&r2=230424&view=diff
==============================================================================
--- maven/continuum/trunk/ci_continuum.sh (original)
+++ maven/continuum/trunk/ci_continuum.sh Fri Aug  5 02:59:47 2005
@@ -36,7 +36,7 @@
 WWW=$HOME/public_html
 DEPLOY_DIR=$WWW/builds
 DEPLOY_SITE=http://maven.zones.apache.org/~continuum/builds
-DIST=m2-${TIMESTAMP}.tar.gz
+DIST=continuum-${TIMESTAMP}.tar.gz
 SVN=svn
 
 M2_HOME=$HOME_DIR/m2
@@ -142,7 +142,25 @@
 
       $M2_HOME/bin/m2 -Denv=test --batch-mode --no-plugin-registry --update-snapshots -e
clean:clean install
       ret=$?; if [ $ret != 0 ]; then exit $ret; fi
-    )    
+    )
+    ret=$?; if [ $ret != 0 ]; then exit $ret; fi
+
+    # Only created on success
+
+    echo
+    echo "Creating continuum distribution for public consumption: ${DEPLOY_SITE}/${DIST}"
+    echo
+
+    mkdir -p $DEPLOY_DIR > /dev/null 2>&1
+
+    (
+      cd $DIR/continuum/continuum-plexus-application
+
+      $M2_HOME/bin/m2 -Denv=test --batch-mode --no-plugin-registry --update-snapshots -e
assembly:assembly
+      ret=$?; if [ $ret != 0 ]; then exit $ret; fi
+
+      mv target/continuum*.tar.gz $DEPLOY_DIR/$DIST
+    )
     ret=$?; if [ $ret != 0 ]; then exit $ret; fi
 
   else
@@ -171,6 +189,9 @@
     echo "Subject: [continuum build - FAILED - $CMD] $DATE" >> log
   else
     echo "Subject: [continuum build - SUCCESS - $CMD] $DATE" >> log
+    echo "" >> log
+    echo "Distribution:" >> log
+    echo "${DEPLOY_SITE}/${DIST}" >>log
     rm $HOME_DIR/build_required
   fi
   echo "" >> log



Mime
View raw message